import {
	WeaTop,
	WeaRightMenu,
} from 'ecCom';
import {
	observer
} from 'mobx-react';
import PageContent from './PageContent';

@observer
export default class Top extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			store
		} = this.props, {
			TOP,
			top,
			pageLoading,
			topButtons,
			dropMenuDatas,
			breadcrumb,
		} = store;

		return (
			<WeaTop 
               {...TOP}
               {...top}
               loading={pageLoading}
               buttons={topButtons}
               breadcrumb={breadcrumb}
               dropMenuDatas={dropMenuDatas}
            >
            	<WeaRightMenu datas={dropMenuDatas}>
            		<PageContent store={store}/>
            	</WeaRightMenu>
            </WeaTop>
		);
	}
}